Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class TotalsPerBankTransactionCode5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.TotalsPerBankTransactionCode5

    public class TotalsPerBankTransactionCode5
    extends java.lang.Object

Java class for TotalsPerBankTransactionCode5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TotalsPerBankTransactionCode5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NbOfNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max15NumericText" minOccurs="0"/>
             <element name="Sum" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DecimalNumber" minOccurs="0"/>
             <element name="TtlNetNtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AmountAndDirection35" minOccurs="0"/>
             <element name="CdtNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}NumberAndSumOfTransactions1" minOccurs="0"/>
             <element name="DbtNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}NumberAndSumOfTransactions1" minOccurs="0"/>
             <element name="FcstInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrueFalseIndicator" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}BankTransactionCodeStructure4"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashAvailability1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}DateAndDateTime2Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<CashAvailability1>` `avlbty`
`protected BankTransactionCodeStructure4` `bkTxCd`
`protected NumberAndSumOfTransactions1` `cdtNtries`
`protected NumberAndSumOfTransactions1` `dbtNtries`
`protected DateAndDateTime2Choice` `dt`
`protected java.lang.Boolean` `fcstInd`
`protected java.lang.String` `nbOfNtries`
`protected java.math.BigDecimal` `sum`
`protected AmountAndDirection35` `ttlNetNtry`

### Constructor Summary

Constructors
`TotalsPerBankTransactionCode5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<CashAvailability1>` `getAvlbty()` Gets the value of the avlbty property.
`BankTransactionCodeStructure4` `getBkTxCd()` Gets the value of the bkTxCd property.
`NumberAndSumOfTransactions1` `getCdtNtries()` Gets the value of the cdtNtries property.
`NumberAndSumOfTransactions1` `getDbtNtries()` Gets the value of the dbtNtries property.
`DateAndDateTime2Choice` `getDt()` Gets the value of the dt property.
`java.lang.String` `getNbOfNtries()` Gets the value of the nbOfNtries property.
`java.math.BigDecimal` `getSum()` Gets the value of the sum property.
`AmountAndDirection35` `getTtlNetNtry()` Gets the value of the ttlNetNtry property.
`java.lang.Boolean` `isFcstInd()` Gets the value of the fcstInd property.
`void` `setBkTxCd​(BankTransactionCodeStructure4 value)` Sets the value of the bkTxCd property.
`void` `setCdtNtries​(NumberAndSumOfTransactions1 value)` Sets the value of the cdtNtries property.
`void` `setDbtNtries​(NumberAndSumOfTransactions1 value)` Sets the value of the dbtNtries property.
`void` `setDt​(DateAndDateTime2Choice value)` Sets the value of the dt property.
`void` `setFcstInd​(java.lang.Boolean value)` Sets the value of the fcstInd property.
`void` `setNbOfNtries​(java.lang.String value)` Sets the value of the nbOfNtries property.
`void` `setSum​(java.math.BigDecimal value)` Sets the value of the sum property.
`void` `setTtlNetNtry​(AmountAndDirection35 value)` Sets the value of the ttlNetNtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nbOfNtries

    protected java.lang.String nbOfNtries

#### sum

    protected java.math.BigDecimal sum

#### ttlNetNtry

    protected AmountAndDirection35 ttlNetNtry

#### cdtNtries

    protected NumberAndSumOfTransactions1 cdtNtries

#### dbtNtries

    protected NumberAndSumOfTransactions1 dbtNtries

#### fcstInd

    protected java.lang.Boolean fcstInd

#### bkTxCd

    protected BankTransactionCodeStructure4 bkTxCd

#### avlbty

    protected java.util.List<CashAvailability1> avlbty

#### dt

    protected DateAndDateTime2Choice dt

### Constructor Detail

#### TotalsPerBankTransactionCode5

    public TotalsPerBankTransactionCode5()

### Method Detail

#### getNbOfNtries

    public java.lang.String getNbOfNtries()

Gets the value of the nbOfNtries property.

Returns:
  possible object is `String`

#### setNbOfNtries

    public void setNbOfNtries​(java.lang.String value)

Sets the value of the nbOfNtries property.

Parameters:
  `value` - allowed object is `String`

#### getSum

    public java.math.BigDecimal getSum()

Gets the value of the sum property.

Returns:
  possible object is `BigDecimal`

#### setSum

    public void setSum​(java.math.BigDecimal value)

Sets the value of the sum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getTtlNetNtry

    public AmountAndDirection35 getTtlNetNtry()

Gets the value of the ttlNetNtry property.

Returns:
  possible object is `AmountAndDirection35`

#### setTtlNetNtry

    public void setTtlNetNtry​(AmountAndDirection35 value)

Sets the value of the ttlNetNtry property.

Parameters:
  `value` - allowed object is `AmountAndDirection35`

#### getCdtNtries

    public NumberAndSumOfTransactions1 getCdtNtries()

Gets the value of the cdtNtries property.

Returns:
  possible object is `NumberAndSumOfTransactions1`

#### setCdtNtries

    public void setCdtNtries​(NumberAndSumOfTransactions1 value)

Sets the value of the cdtNtries property.

Parameters:
  `value` - allowed object is `NumberAndSumOfTransactions1`

#### getDbtNtries

    public NumberAndSumOfTransactions1 getDbtNtries()

Gets the value of the dbtNtries property.

Returns:
  possible object is `NumberAndSumOfTransactions1`

#### setDbtNtries

    public void setDbtNtries​(NumberAndSumOfTransactions1 value)

Sets the value of the dbtNtries property.

Parameters:
  `value` - allowed object is `NumberAndSumOfTransactions1`

#### isFcstInd

    public java.lang.Boolean isFcstInd()

Gets the value of the fcstInd property.

Returns:
  possible object is `Boolean`

#### setFcstInd

    public void setFcstInd​(java.lang.Boolean value)

Sets the value of the fcstInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getBkTxCd

    public BankTransactionCodeStructure4 getBkTxCd()

Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

#### setBkTxCd

    public void setBkTxCd​(BankTransactionCodeStructure4 value)

Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

#### getAvlbty

    public java.util.List<CashAvailability1> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashAvailability1`

#### getDt

    public DateAndDateTime2Choice getDt()

Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTime2Choice`

#### setDt

    public void setDt​(DateAndDateTime2Choice value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`